Subject: Re: [PATCH v2] bisect: improve output when bad commit is found

From: Jeff King <[email-masked]>
Date: Wed, 13 May 2015 17:42:29 -0400

On Wed, May 13, 2015 at 11:39:41AM +0200, Christian Couder wrote:

> > It is not clear to me that people are actually scripting around the
> > output. Between the exit code and the stable output in BISECT_LOG, that
> > seems like a much more preferable way for scripted uses to find out what
> > happened.
> >
> > Of course, that is not a guarantee that nobody scraped stderr, but at
> > least it makes me feel better that they're Doing It Wrong. :)
> 
> Aren't we sending the "XXXX is the first bad commit" and the diff-tree
> to stdout?

Good point. I'm much more sympathetic to people scraping stdout than
stderr. I do still think we would do better to direct them to more
robust formats, though.

-Peff